Description

If I setup two systems with carp sync and create an alias, it will sync correctly with the slave, but when I remove it on the master, it

won't remove from the slave. It only happens when I remove the last alias on the master, if there was more than one alias, then it

also gets removed from the slave.

Associated revisions

Revision 5bb6e1f5 - 10/25/2010 07:29 PM - Jim Pingle

If there are no aliases, push an empty aliases array. Fixes #961

History

#1 - 10/20/2010 08:35 AM - Chris Buechler

- Subject changed from pfsync doesn't remove the last alias on the slave to Config sync doesn't remove the last alias on the slave

#2 - 10/20/2010 05:41 PM - Jim Pingle

If you are talking about an Alias as in Firewall > Aliases, I can't reproduce this. If I delete the last one on the master, it also deletes from the slave.

The entire array of aliases on the slave is overwritten with the copy from the master, so there isn't a way that the last one is any more significant than

others in the list that I can see.

We may need to see the aliases section of your config to try reproducing the issue.

#3 - 10/20/2010 08:14 PM - Thiago Witt

Hi Jim,

Yes, I was talking about Firewall > Aliases.

I don't know if I was clear in my first message, by "last alias" I meant "the last one left", i.e. when there is only one alias, not "the bottom one from the

list".

When there is more than one alias created and I delete any one of them, it also deletes from the slave, the problem is when there is only one left.

Tomorrow I'll be able to post my aliases section here, I don't have it right now.

Regards,

Thiago

#4 - 10/20/2010 08:18 PM - Jim Pingle

OK, that is a bit different scenario that I have not tested yet. I shouldn't need your alias list to try that out.

#5 - 10/25/2010 03:30 PM - Jim Pingle

- Status changed from New to Feedback

- % Done changed from 0 to 100

Applied in changeset 5bb6e1f54022c796e8c37510b287337c7b234cd1.

#6 - 10/27/2010 10:37 AM - Thiago Witt

07/16/2025 1/2

https://redmine.pfsense.org/projects/pfsense/repository/2/revisions/5bb6e1f54022c796e8c37510b287337c7b234cd1


Problem solved.

Thank you.

Regards,

Thiago

#7 - 10/27/2010 11:08 AM - Jim Pingle

- Status changed from Feedback to Resolved
